Cantera 2.6.0

Namespaces | Functions | Variables
AnyMap.cpp File Reference
`#include "cantera/base/AnyMap.h"`
`#include "application.h"`
`#include "cantera/base/yaml.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/global.h"`
`#include "cantera/base/utilities.h"`
`#include <boost/algorithm/string.hpp>`
`#include <fstream>`
`#include <mutex>`
`#include <unordered_set>`
Include dependency graph for AnyMap.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
YAML::Emitter & | operator<< (YAML::Emitter &out, const AnyMap &rhs)
void | emitString (YAML::Emitter &out, const string &str0)
| Write YAML strings spanning multiple lines if input includes endline ' '. More...
void | emitFlowVector (YAML::Emitter &out, const vector< double > &v, long int precision)
| Write a vector in YAML "flow" style, wrapping lines to avoid exceeding the preferred maximum line length (set by `max_line_length`). More...
template<typename T >
void | emitFlowVector (YAML::Emitter &out, const vector< T > &v)
| Write a vector in YAML "flow" style, wrapping lines to avoid exceeding the preferred maximum line length (set by `max_line_length`). More...
YAML::Emitter & | operator<< (YAML::Emitter &out, const AnyValue &rhs)
bool | operator== (const std::string &lhs, const AnyValue &rhs)
bool | operator!= (const std::string &lhs, const AnyValue &rhs)
bool | operator== (const double &lhs, const AnyValue &rhs)
bool | operator!= (const double &lhs, const AnyValue &rhs)
bool | operator== (const long int &lhs, const AnyValue &rhs)
bool | operator!= (const long int &lhs, const AnyValue &rhs)
bool | operator== (const int &lhs, const AnyValue &rhs)
bool | operator!= (const int &lhs, const AnyValue &rhs)
AnyMap::Iterator | begin (const AnyValue &v)
AnyMap::Iterator | end (const AnyValue &v)
void | warn_deprecated (const std::string &source, const AnyBase &node, const std::string &message)
| A deprecation warning for syntax in an input file. More...

## Variables
static const int | max_line_length = 87

## Function Documentation

## ◆ operator<<() [1/2]

YAML::Emitter & operator<< | ( | YAML::Emitter & | out,
|  | const AnyMap & | rhs
| ) |  |

Definition at line 278 of file AnyMap.cpp.

## ◆ emitString()

void emitString | ( | YAML::Emitter & | out,
|  | const string & | str0
| ) |  |

Write YAML strings spanning multiple lines if input includes endline '
'.

Definition at line 332 of file AnyMap.cpp.

References YAML::emitString(), and Cantera::npos.

Referenced by YAML::emitString().

## ◆ emitFlowVector() [1/2]

void emitFlowVector | ( | YAML::Emitter & | out,
|  | const vector< double > & | v,
|  | long int | precision
| ) |  |

Write a vector in YAML "flow" style, wrapping lines to avoid exceeding the preferred maximum line length (set by `max_line_length`).

Specialized for `vector<double>` to be able to use the custom `formatDouble` function with a given precision.

Definition at line 369 of file AnyMap.cpp.

References YAML::emitFlowVector().

Referenced by YAML::emitFlowVector().

## ◆ emitFlowVector() [2/2]

void emitFlowVector | ( | YAML::Emitter & | out,
|  | const vector< T > & | v
| ) |  |

Write a vector in YAML "flow" style, wrapping lines to avoid exceeding the preferred maximum line length (set by `max_line_length`).

Definition at line 390 of file AnyMap.cpp.

References YAML::emitFlowVector().

## ◆ operator<<() [2/2]

YAML::Emitter & operator<< | ( | YAML::Emitter & | out,
|  | const AnyValue & | rhs
| ) |  |

Definition at line 408 of file AnyMap.cpp.

## Variable Documentation

## ◆ max_line_length

const int max_line_length = 87
| static

Definition at line 241 of file AnyMap.cpp.